linux-tools-3.10 (3.10-4+rpi1) wheezy-staging; urgency=low

  * Rename source package to allow coexistance with other versions.
  * Remove usbip binary packages since their names don't contain the kernel
    version.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 22 Dec 2013 23:28:32 +0000

linux-tools (3.10-4) unstable; urgency=low

  * Sourceful upload for the perl 5.18 transition
  * usbip: Fix package version override to be binNMU-safe

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Aug 2013 12:44:56 +0100

linux-tools (3.10-3) unstable; urgency=low

  * linux-kbuild: Fix no-modules case in modpost wrapper (Closes: #719129)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2013 21:49:02 +0200

linux-tools (3.10-2) unstable; urgency=low

  * linux-kbuild: Fix use of getline() in modpost wrapper (Closes: #717195)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 18 Jul 2013 04:02:11 +0100

linux-tools (3.10-1) unstable; urgency=low

  * New upstream release

  [ Chris Boot ]
  * Update modpost-symbol-prefix.patch for 3.10

  [ Ben Hutchings ]
  * debian/patches: Add DEP-3 headers (From, Subject, Forwarded) to all patches
  * debian/copyright: Convert to machine-readable format (fka DEP-5)
  * debian/copyright: Add explanation of indirect linking of perf to OpenSSL
  * debian/rules.real: Remove support for pre-multiarch dpkg
  * Update policy version to 3.9.4
    - debian/rules: Implement build-arch and build-indep targets
  * linux-kbuild: Update modpost wrapper for 3.10
    - Implement the -T option

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 16 Jul 2013 13:29:22 +0100

linux-tools (3.9.4-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 Jun 2013 13:45:52 +0100

linux-tools (3.8.11-1) unstable; urgency=low

  * New upstream stable update

  [ Ben Hutchings ]
  * Upload to unstable (Closes: #707023)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 07 May 2013 02:11:16 +0100

linux-tools (3.8.2-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #702450)

  [ Ben Hutchings ]
  * linux-tools: Install bash_completion script for perf with a version-
    dependent name (Closes: #701790)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 07 Mar 2013 05:32:40 +0000

linux-tools (3.7.1-1~experimental.1) experimental; urgency=low

  * New upstream release

  [ Ben Hutchings ]
  * [amd64] linux-tools: Enable optimisations and special-casing of x86_64
    (Closes: #694759)

  [ Uwe Kleine-König ]
  * linux-kbuild: debian/control: Use Section: kernel (Closes: #545017)

 -- Jonathan Nieder <jrnieder@gmail.com>  Fri, 28 Dec 2012 09:29:53 -0800

linux-tools (3.6-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #690011)

  [ Ben Hutchings ]
  * genorig: Accept xz-compressed upstream tarballs and patches, and
    generate an xz-compressed orig tarball, thanks to Sedat Dilek
  * source: Enable xz-compression for debian directory tarball

  [ Jonathan Nieder ]
  * Add myself to uploaders list.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 24 Nov 2012 13:40:28 -0800

linux-tools (3.5-1~experimental.1) experimental; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 20 Aug 2012 00:57:12 +0100

linux-tools (3.4-1~experimental.1) experimental; urgency=low

  * New upstream release
  * Build-Depend on bison and flex, now required to build perf
  * Fix version insertion in perf man pages

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Jun 2012 20:51:12 +0100

linux-tools (3.3-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * linux-kbuild: debian/control: Set Multi-Arch: foreign
  * linux-tools: Build perf on alpha and hppa (Closes: #664834)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 24 Mar 2012 23:15:59 +0000

linux-tools (3.2.17-1) unstable; urgency=low

  * New upstream stable updates:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.15
    - modpost: fix ALL_INIT_DATA_SECTIONS
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.16
    - perf hists: Catch and handle out-of-date hist entry maps.
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.17
    - Perf: fix build breakage

  * Fix version insertion in perf man pages
  * Build usbip userland packages (Closes: #568362)
    - Do not build a shared library package; the API and ABI have changed
      from libusbip0 but there has been no upstream soversion change
  * usbipd: Enable TCP wrappers for access control

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jun 2012 02:52:26 +0100

linux-tools (3.2.7-2) unstable; urgency=high

  * Apply upstream changes to fix various buffer overflow bugs:
    - perf tools: Use scnprintf where applicable
    - perf tools: Incorrect use of snprintf results in SEGV

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 20 Mar 2012 04:54:22 +0000

linux-tools (3.2.7-1) unstable; urgency=low

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.7
    - perf tools: Fix perf stack to non executable on x86_64
    - perf evsel: Fix an issue where perf report fails to show the proper
      percentage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 05 Mar 2012 00:19:02 +0000

linux-tools (3.2.1-2) unstable; urgency=low

  * Add Vcs-{Svn,Browser} fields
  * Reduce minimum version of linux-base to 3.4~ to support backports

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 24 Jan 2012 04:26:24 +0000

linux-tools (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jan 2012 04:17:19 +0000

linux-tools (3.2~rc4-1~experimental.1) experimental; urgency=low

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 07 Dec 2011 01:53:15 +0000

linux-tools (3.1.1-3) unstable; urgency=low

  * Fix s390x support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Dec 2011 19:32:12 +0100

linux-tools (3.1.1-2) unstable; urgency=low

  * Change the check for stale debian/control to tolerate binNMUs
    (Closes: #649005)
  * Rebuild with perl 5.14 (Closes: #649006)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Nov 2011 03:18:03 +0000

linux-tools (3.1.1-1) unstable; urgency=low

  * New upstream release

  [ Bastian Blank ]
  * Rename to linux-tools.
  * Use 3.0 (quilt) source format.
  * Properly patch modpost symbol prefix setting.
  * Build linux-tools binary package.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Nov 2011 04:57:47 +0000

linux-kbuild-2.6 (3.0.0-2) unstable; urgency=low

  * Include new script depmod.sh (Closes: #635539)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 29 Jul 2011 01:00:20 +0200

linux-kbuild-2.6 (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jul 2011 15:38:35 +0200

linux-kbuild-2.6 (3.0.0~rc5-1~experimental.1) experimental; urgency=low

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 29 Jun 2011 02:32:31 +0100

linux-kbuild-2.6 (3.0.0~rc1-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * Remove docproc, no longer required for module builds

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 01 Jun 2011 10:21:01 +0100

linux-kbuild-2.6 (2.6.39-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 20 May 2011 04:53:57 +0100

linux-kbuild-2.6 (2.6.38-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Mar 2011 13:45:58 +0000

linux-kbuild-2.6 (2.6.37-1) unstable; urgency=low

  * Upload to unstable

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 15 Feb 2011 14:15:36 +0000

linux-kbuild-2.6 (2.6.37-1~experimental.1) experimental; urgency=low

  * New upstream version
  * Include new script gcc-goto.sh

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Jan 2011 15:14:34 +0000

linux-kbuild-2.6 (2.6.36-1~experimental.1) experimental; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Nov 2010 00:20:33 +0000

linux-kbuild-2.6 (2.6.35-1~experimental.1) experimental; urgency=low

  * New upstream version
  * Update policy version to 3.9.1; no changes required
  * Fix minor issues reported by lintian:
    - Add ${misc:Depends} to dependencies
    - Add debian/source/format file
    - Remove redundant priority and section fields

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 Aug 2010 22:31:47 +0100

linux-kbuild-2.6 (2.6.34-1~experimental.1) experimental; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 20 May 2010 01:19:43 +0100

linux-kbuild-2.6 (2.6.32-1) unstable; urgency=low

  [ Ben Hutchings ]
  * New upstream version. (closes: #560090)
  * Include new script module-common.lds, thanks to Zoran Dzelajlija.

  [ Bastian Blank ]
  * Move contents of linux-kbuild package to /usr/lib.

 -- Bastian Blank <waldi@debian.org>  Fri, 11 Dec 2009 16:16:12 +0100

linux-kbuild-2.6 (2.6.31.2-1) unstable; urgency=low

  * Upload to unstable.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 25 Oct 2009 18:38:44 +0000

linux-kbuild-2.6 (2.6.31.2-1~experimental.1) experimental; urgency=low

  [ Bastian Blank ]
  * New upstream version.

  [ Ben Hutchings ]
  * Include new script gcc-x86_32-has-stack-protector.sh.
  * Add myself to Uploaders.
  * New upstream version (2.6.31.2).

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 17 Oct 2009 23:05:27 +0100

linux-kbuild-2.6 (2.6.30-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Wed, 17 Jun 2009 16:49:57 +0200

linux-kbuild-2.6 (2.6.29-1) unstable; urgency=low

  * New upstream version. 
  * Autogenerate list of supported options in modpost. (closes: #518961)
    - Build-depend against python.
  * Use debhelper compat level 7.

 -- Bastian Blank <waldi@debian.org>  Thu, 26 Mar 2009 12:54:47 +0100

linux-kbuild-2.6 (2.6.28-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Feb 2009 13:45:39 +0100

linux-kbuild-2.6 (2.6.26-3) unstable; urgency=low

  * Fix recursive installation. (closes: #494435)

 -- Bastian Blank <waldi@debian.org>  Sun, 10 Aug 2008 13:01:41 +0200

linux-kbuild-2.6 (2.6.26-2) unstable; urgency=low

  * Include new scripts. (closes: #494435)

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Aug 2008 20:45:12 +0200

linux-kbuild-2.6 (2.6.26-1) unstable; urgency=low

  * New upstream version.
  * modpost: Support new parameters.

 -- Bastian Blank <waldi@debian.org>  Sat, 02 Aug 2008 13:09:54 +0200

linux-kbuild-2.6 (2.6.25-2) unstable; urgency=low

  * modpost: Support new parameters. (closes: #479271)

 -- Bastian Blank <waldi@debian.org>  Mon, 05 May 2008 19:58:40 +0200

linux-kbuild-2.6 (2.6.25-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 02 May 2008 10:32:13 +0200

linux-kbuild-2.6 (2.6.24-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Jan 2008 14:03:06 +0100

linux-kbuild-2.6 (2.6.23-1) unstable; urgency=low

  * New upstream version.
  * modpost: Support -s.

 -- Bastian Blank <waldi@debian.org>  Wed, 05 Dec 2007 08:23:28 +0100

linux-kbuild-2.6 (2.6.22-1) unstable; urgency=low

  * New upstream version.
  * Don't fail if no module is specified.

 -- Bastian Blank <waldi@debian.org>  Tue, 17 Jul 2007 23:14:23 +0200

linux-kbuild-2.6 (2.6.21-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 May 2007 23:45:14 +0200

linux-kbuild-2.6 (2.6.20-1) unstable; urgency=low

  * New upstream version.
  * modpost: Support -w.

 -- Bastian Blank <waldi@debian.org>  Thu, 12 Apr 2007 06:53:00 +0200

linux-kbuild-2.6 (2.6.18-1) unstable; urgency=low

  * New upstream version.
  * Use included headers. (closes: #382286, #384211)

 -- Bastian Blank <waldi@debian.org>  Mon, 25 Sep 2006 21:45:50 +0200

linux-kbuild-2.6 (2.6.17-3) unstable; urgency=low

  * Replace own modpost with original one.

 -- Bastian Blank <waldi@debian.org>  Tue,  1 Aug 2006 11:01:18 +0200

linux-kbuild-2.6 (2.6.17-2) unstable; urgency=low

  * Fix uninitialied variable. (closes: #377656)

 -- Bastian Blank <waldi@debian.org>  Tue, 11 Jul 2006 10:10:24 +0200

linux-kbuild-2.6 (2.6.17-1) unstable; urgency=low

  * Initial release. (closes: #368544)

 -- Bastian Blank <waldi@debian.org>  Sat,  1 Jul 2006 19:10:07 +0200
